// cosgen.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <stdlib.h>
#include <math.h>

#ifndef M_PI
 #define M_PI (3.14159265358979323846264338328)
#endif



int _tmain(int argc, _TCHAR* argv[])
{
	FILE * mycos;

	double ang,res;
	int result;
	char byte;
	int i;


	mycos=fopen("mycos","wb");
	if( !mycos )
	{
		printf("cant open file!\n");
		exit(1);
	}


	for(i=0;i<256;i++)
	{
		ang = (((double)i)/256.0)*M_PI;
		
		res = (1.0-cos(ang))*0.5;

		result = (int)floor((res*255.0)+0.5);

		byte = result & 0x00FF;

		if( 1!=fwrite(&byte,1,1,mycos) )
		{
			printf("cant write to file!\n");
			exit(1);
		}
	}




	fclose(mycos);

	return 0;
}

