#include <stdio.h>
#include <stdlib.h>

#ifndef _WIN32
 #include <stdint.h>
#else
 typedef unsigned char uint8_t;
 typedef unsigned short int uint16_t;
 #pragma warning(disable : 4996)
#endif

#include "raycast.h"
#include "genmap.h"
#include "gencode.h"


extern struct raycast rc;



int main(int argc, char ** argv)
{
	FILE * outfile = NULL;


	if( argc>1 )
	{
		outfile = fopen( argv[1], "wb" );

		if( !outfile )
		{
			printf("cant create file!\n");
			exit(1);
		}
	}




	raycast_init();

	raycast_do_maps();

	printf("for txbyte_size=%d, created %d bytemaps\n",rc.txbyte_size,num_txbytes());
	
	
	//gen_maps(outfile);



	if( outfile )
		fclose(outfile);



	gen_code();


	return 0;
}

